
User Interface - Bug #2906

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

to support wheel events for the web client

12/03/2015 10:45 AM - Sergey Ivanovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 12/03/2015 10:46 AM - Sergey Ivanovskiy

If the wheel events are permitted (the direction is set for them), they can load demo_widgets.p.

#2 - 12/07/2015 03:23 AM - Sergey Ivanovskiy

Greg, Constantin, what do you think if we will implement a support for the ALT/SHIFT/CTRL modifiers within this task? Now

Window.prototype.sendMouseEvent doesn't provide a java web side with a pressed modifier key if a user holds one of the ALT, SHIFT and CTRL

keys.

#3 - 12/07/2015 07:28 AM - Greg Shah

Yes, it is a good idea.  Please do so.

#4 - 12/08/2015 11:56 AM - Sergey Ivanovskiy

- File mouse_wheel_1.txt added

Greg, please review the changes for mouse events due to new added parameters.

#5 - 12/09/2015 02:00 AM - Sergey Ivanovskiy

Greg, please review committed revisions 10959/10958.

#6 - 12/09/2015 11:38 AM - Constantin Asofiei

Removed as it was added in wrong task (added to #2795)

#7 - 12/11/2015 08:12 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

- Assignee set to Sergey Ivanovskiy

- Target version set to Milestone 12

- Start date deleted (12/03/2015)

Code Review Task Branch 1811t Revisions 10958 and 10959

The changes look good.
https://proj.goldencode.com/issues/2795


#8 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

mouse_wheel_1.txt 17.4 KB 12/08/2015 Sergey Ivanovskiy
